On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteWallet ID
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/commerce/billing/wallets/8ef02857-a71e-4ea2-bcf9-57d3a41bc6ba/wallet-transactions" \ -H "Content-Type: application/json" \ -d '{ "type": "TOPUP" }'{
"wallet_transactions": [
{
"wallet_transaction_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"payment_status": "SETTLED",
"source": "MANUAL",
"transaction_status": "PURCHASED",
"transaction_type": "INBOUND",
"amount": {
"value": 120.35,
"currency_code": "USD"
},
"credits": "100.0",
"settled_at": "2022-04-29T08:59:51Z",
"failed_at": "2022-04-29T08:59:51Z",
"created_at": "2022-04-29T08:59:51Z",
"metadata": [
{
"key": "reason",
"value": "balance depleted"
}
]
}
],
"meta": {
"total_count": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 3,
"prev_page": 1
}
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Type of the wallet transaction applied on the wallet. Supported types are TOPUP, VOID.
"TOPUP" | "VOID"Number of paid credits to be added. Applicable only to TOPUP type of transaction
^\d+(\.\d+)?$Number of credits and Only for type VOID, this field need to be passed in request.
^\d+(\.\d+)?$Number of granted credits to be added. Applicable only to TOPUP type of transaction
^\d+(\.\d+)?$List of key-value pair contains the metadata about the wallet transaction.